post
https://dentscape.site/v1/analysis
Perform a comprehensive dental analysis.
Guidelines for the image to be uploaded
1. Technical Requirements
- Format: JPG or PNG only.
- File Size: Up to 10 MB.
- Dimensions: Minimum 1000x1000 pixels.
2. Uploaded Image Requirements
- Pose: Full-face photo with a natural smile.
- Jaw Position: No protruding or pushed-forward lower jaw.
- Angle: Close-up face, centered and facing the camera.
- Lighting: Adequate and bright lighting is essential.
Acceptable/Unacceptable Image Example: 
Return Format (after polling completed)
The API will return an object containing the following:
1. smile_curve
Generate the smile curve of the upper teeth.
Object containing:
- img_url: String - A URL to the processed image featuring a drawn smile curve.
- points: Array - An array of sequential points indicating the curve. Points are formatted as
[[x1, y1], [x2, y2], ...].
Image Example for Points Visualization: 

Example:
{
"img_url": "https://example.com/smile_curve.jpg",
"points": [
[500, 1000],
[502, 1001],
[504, 1003]
]
}
2. smile_curve_with_underlines
Generate the smile curve of the upper teeth represented as underlines beneath the upper teeth.
Object containing:
- img_url: String - A URL to the processed image featuring a drawn smile curve underlines.
- points: Array - An array of sequential points indicating the underlines. Points are formatted as
[[x1, y1], [x2, y2], ...].
Image Example for Points Visualization: 

Example:
{
"img_url": "https://example.com/smile_curve_underlines.jpg",
"points": [
[480, 980],
[520, 981],
[550, 990],
[570, 992]
]
}
3. tooth_segmentation
Segment teeth in the given image.
Object containing:
- img_url: String - The URL of the image where the teeth area is highlighted with color.
- detected_tooth_num: Integer - The number of detected teeth.
- tooth_mask_min_offset: Array - The offset (x, y coordinates) of the upper left point of the tooth mask. Format:
[x, y]. - tooth_mask: 2D Array - The truncated tooth mask starts at the
tooth_mask_min_offset. The mask is a list of lists, where-1represents non-teeth regions and each index>= 0represents different teeth.
Image Example for mask Visualization: 

Example:
{
"img_url": "https://example.com/tooth_segmentation.jpg",
"detected_tooth_num": 3,
"tooth_mask_min_offset": [500, 1000],
"tooth_mask": [
[-1, -1, 1, 1, -1, -1],
[0, 0, 1, 1, 2, 2],
[0, 0, -1, -1, 2, 2],
[-1, -1, -1, -1, 2, 2]
]
}
4. central_incisor_wl_ratio
Calculate width to height ratio of incisors 11 and 21.
Object containing:
- ratio_11: Number - The width-to-length ratio of the upper right central incisor (tooth #11).
- ratio_21: Number - The width-to-length ratio of the upper left central incisor (tooth #21).
Example:
{
"ratio_11": 0.81,
"ratio_21": 0.83
}
5. incisal_plane
Detect and visualize the incisal plane.
Object containing:
- img_url: String - A URL to the processed image featuring a drawn incisal plane.
- points: Array - An array of the end points of the incisal plane. Points are formatted as
[[x1, y1], [x2, y2]].
Image Example for Points Visualization: 

Example:
{
"img_url": "https://example.com/incisal_plane.jpg",
"points": [
[500, 1000],
[520, 1001]
]
}
6. interdental_width_proportion
Calculate the interdental width proportion - Get the width ratio of teeth 14-24 to teeth 11, 21.
Object containing:
- ratio_to_11: Array of 8 numbers - An array of width ratios for teeth 14-24 relative to tooth #11. The array represents teeth in order: [tooth_14, tooth_13, tooth_12, tooth_11, tooth_21, tooth_22, tooth_23, tooth_24]. Each value indicates how wide that tooth is compared to tooth #11 (where tooth #11 = 1.0).
- ratio_to_21: Array of 8 numbers - An array of width ratios for teeth 14-24 relative to tooth #21. Same format as ratio_to_11, but with tooth #21 as the reference (tooth #21 = 1.0).
Example:
{
"ratio_to_11": [0.36, 0.6, 0.69, 1, 0.96, 0.72, 0.54, 0.39],
"ratio_to_21": [0.37, 0.62, 0.71, 1.03, 1, 0.75, 0.56, 0.4]
}
7. mouth_segmentation
Segment the mouth area in the given image.
Object containing:
- img_url: String - The URL of the image where the mouth area is highlighted with color.
- mouth_mask: 2D Array - A 2D array representing the segmentation mask of the mouth region. The mask uses binary values where
1represents the mouth area and0represents non-mouth regions. This is a list of lists where each inner list represents a row of pixels.
Example:
{
"img_url": "https://example.com/mouth_segmentation.jpg",
"mouth_mask": [
[0, 0, 0, 1, 1, 1, 0, 0, 0],
[0, 0, 1, 1, 1, 1, 1, 0, 0],
[0, 1, 1, 1, 1, 1, 1, 1, 0],
[0, 0, 1, 1, 1, 1, 1, 0, 0],
[0, 0, 0, 1, 1, 1, 0, 0, 0]
]
}
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
400Bad request.
401Unauthorized.
500Internal server error.
